Solid Edge Geometry Type Library
GetPlaneData Method
Returns the coordinates of a point that is on the plane
Returns a unit vector that is perpendicular to the referenced plane.
Description
Returns the surface geometry data on the referenced Plane object.
Syntax
Visual Basic
Public Sub GetPlaneData( _
   ByRef RootPoint() As Double, _
   ByRef NormalVector() As Double _
) 
Parameters
RootPoint
Returns the coordinates of a point that is on the plane
NormalVector
Returns a unit vector that is perpendicular to the referenced plane.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objModel As SolidEdgePart.Model
    Dim ObjFace As solidedgegeometry.Face
    Dim objPlane As Object
    Dim dblNVector() As Double
    Dim dblRPoint() As Double
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    'Create base feature
    If CreateModel(objDoc) <> "" Then
        MsgBox "Error creating the model"
        Exit Sub
    End If
    'Get a handle to Model
    Set objModel = objDoc.Models(1)
    'Get the BottomCap of the Protrusion
    Set ObjFace = objModel.ExtrudedProtrusions(1).BottomCap
    'Get the Plane object
    Set objPlane = ObjFace.Geometry
    Call objPlane.GetPlaneData(RootPoint:=dblRPoint(), NormalVector:=dblNVector())
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objModel = Nothing
    Set ObjFace = Nothing
    Set objPlane = Nothing
End Sub
See Also

Plane Object  | Plane Members

Send comments on this topic.